Package: org.grails.plugins.web.interceptors

## [Groovy] Class UrlMappingMatcher.MapExclude

- org.grails.plugins.web.interceptors.UrlMappingMatcher.MapExclude

- All Implemented Interfaces and Traits:
    Exclude

      static class UrlMappingMatcher.MapExclude
      extends java.lang.Object
      implements Exclude

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.regex.Pattern` | `actionExcludesRegex` |
    `private java.util.regex.Pattern` | `controllerExcludesRegex` |
    `private java.util.regex.Pattern` | `methodExcludesRegex` |
    `private java.util.regex.Pattern` | `namespaceExcludesRegex` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.regex.Pattern` | `actionExcludesRegex`
    `java.util.regex.Pattern` | `controllerExcludesRegex`
    `java.util.regex.Pattern` | `methodExcludesRegex`
    `java.util.regex.Pattern` | `namespaceExcludesRegex`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UrlMappingMatcher.MapExclude ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isExcluded(UrlMappingInfo info)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.regex.Pattern actionExcludesRegex

    - #### private java.util.regex.Pattern controllerExcludesRegex

    - #### private java.util.regex.Pattern methodExcludesRegex

    - #### private java.util.regex.Pattern namespaceExcludesRegex

  - ### Property Detail

    - #### java.util.regex.Pattern actionExcludesRegex

    - #### java.util.regex.Pattern controllerExcludesRegex

    - #### java.util.regex.Pattern methodExcludesRegex

    - #### java.util.regex.Pattern namespaceExcludesRegex

  - ### Constructor Detail

    - #### UrlMappingMatcher.MapExclude()

  - ### Method Detail

    - #### @java.lang.Override boolean isExcluded(UrlMappingInfo info)